# Simple toolchain template file for gcc running on x86_64 FreeBSD
set(CMAKE_SYSTEM_NAME FreeBSD)
set(CMAKE_SYSTEM_PROCESSOR x86_64)

set(CMAKE_SYSROOT /opt/x86_64-unknown-freebsd11.1/x86_64-unknown-freebsd11.1/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/x86_64-unknown-freebsd11.1-gcc)
set(CMAKE_CXX_COMPILER /opt/bin/x86_64-unknown-freebsd11.1-g++)
set(CMAKE_Fortran_COMPILER /opt/bin/x86_64-unknown-freebsd11.1-gfortran)

set(CMAKE_LINKER  /opt/bin/x86_64-unknown-freebsd11.1-ld)
set(CMAKE_OBJCOPY /opt/bin/x86_64-unknown-freebsd11.1-objcopy)

set(CMAKE_AR     /opt/x86_64-unknown-freebsd11.1/bin/x86_64-unknown-freebsd11.1-ar)
set(CMAKE_NM     /opt/x86_64-unknown-freebsd11.1/bin/x86_64-unknown-freebsd11.1-nm)
set(CMAKE_RANLIB /opt/x86_64-unknown-freebsd11.1/bin/x86_64-unknown-freebsd11.1-ranlib)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
